info:
  name: Get User Info
  type: http
  seq: 1

http:
  method: GET
  url: "{{elixFormsApiUrl_Default}}/request/:request_id/user-info/get"
  headers:
    - name: x-requested-with
      value: XMLHttpRequest
    - name: x-api-username
      value: "{{elixFormsApiUsername}}"
  params:
    - name: username
      value: "{{elixFormsApiUsername}}"
      type: query
      description: username
      disabled: true
    - name: request_id
      value: "27126"
      type: path
      description: id dell'istanza eF
  body:
    type: form-urlencoded
    data:
      - name: ""
        value: ""
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: Get User Info - Success
    request:
      url: "{{elixFormsApiUrl_Default}}/request/:request_id/user-info/get?username={{elixFormsApiUsername}}"
      method: GET
      params:
        - name: username
          value: "{{elixFormsApiUsername}}"
          type: query
          description: username
        - name: request_id
          value: "7007"
          type: path
          description: id dell'istanza eF
      body:
        type: form-urlencoded
    response:
      statusText: "200"
      headers:
        - name: cache-control
          value: no-cache, no-store, must-revalidate
        - name: pragma
          value: no-cache
        - name: proxy-connection
          value: Keep-Alive
        - name: x-content-security-policy
          value: default-src 'self'; connect-src 'self'; font-src 'none'; img-src 'self'; media-src 'self'; object-src 'self'; plugin-types application/pdf audio/x-wav; referrer no-referrer; reflected-xss block; script-src 'self'; style-src 'self'
        - name: content-type
          value: application/it.elixforms.api.v1.2+json;charset=UTF-8
        - name: content-length
          value: "536"
        - name: strict-transport-security
          value: max-age=63072000;includeSubDomains
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'"
        - name: x-frame-options
          value: SAMEORIGIN
        - name: x-xss-protection
          value: 1;mode=block
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
      body:
        type: text
        data: |-
          {
              "value": {
                  "code": "OK",
                  "description": "Platform user found",
                  "complete": true,
                  "globalStatus": "OK",
                  "serviceInformationList": {
                      "serviceInformation": [
                          {
                              "ITSystemName": "EF-CORE",
                              "complete": true,
                              "serviceVersion": "1.2.0",
                              "statusDetailList": {
                                  "statusDetail": [
                                      {
                                          "code": "OK",
                                          "description": "Platform user found",
                                          "detailStatus": "OK"
                                      }
                                  ]
                              }
                          }
                      ]
                  },
                  "uuid": "c7692632-fbab-4fb6-8889-c6b20f0dd95a",
                  "version": "3.9.2.17",
                  "matchingEntitiesSize": 1,
                  "platofrmUser": {
                      "id": 29,
                      "cognome": "MAMMI",
                      "email": "pierpaolo.mammi@unipr.it",
                      "nome": "Pier Paolo",
                      "uid": "MMMPPL74T17E463A"
                  }
              }
          }
